const path = require('path');
module.exports = {
  publicPath: `/${process.env.VUE_APP_ROUTER}`,
  outputDir: 'web-live',
  productionSourceMap: false,
  configureWebpack: (config) => {
    Object.assign(config, {
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
        },
      },
    });
  },
  devServer: {
    port: '8001',
    proxy: {
      '/files': {
        target: 'http://106.12.161.200:8080',
      },
      '/api': {
        target: 'http://127.0.0.1:9001',
        changeOrigin: true,
        ws: false,
      },
    },
  },
};
